use warnings;
use strict;
use Glib qw/TRUE FALSE/;
use Gtk2 '-init';

my $file;
my $file_chooser =  Gtk2::FileChooserDialog->new ( 
                            "Seleccionar package",
                            undef,
                            'open',
                            'gtk-cancel' => 'cancel',
                            'gtk-ok' => 'ok'
                        );
my $filter = ret_png_filter();
$file_chooser->add_filter($filter);

if ( "ok" eq $file_chooser->run ) {
            $file = $file_chooser->get_filename;
            print "file = $file\n";
        }
        $file_chooser->destroy;
sub ret_png_filter {
    my $filter = Gtk2::FileFilter->new();
    $filter->set_name("Archivos Gzip");
    $filter->add_mime_type("application/gzip");  
    return $filter;
}