# 
# Copyright (c) 2017, Simusol

import dia, string, os

class CSimusol :
	def __init__(self, d, data) :
		import os,subprocess, time
		filename = dia.active_display().diagram.filename
		sFilename ='%s' % (filename)
		stFilename= str(sFilename)
		os.environ["diaActivo"]= stFilename
		subprocess.Popen(["perl", "/usr/share/dia/simusol/openconsole.pl"])

def openFile(data,flags):
    import os,subprocess, time
    subprocess.Popen(["perl", "/usr/share/dia/simusol/filechooser.pl"])


def openFile2(data,flags):
    import os,subprocess, time
    filename = dia.active_display().diagram.filename
    sFilename ='%s' % (filename)
    stFilename= str(sFilename)
    path= os.path.dirname(stFilename)
    sPath ='%s' % (path)
    stPath= str(sPath)
    subprocess.Popen(["nautilus",stPath ])

def openTerminal(data,flags):
    import os,subprocess, time
    filename = dia.active_display().diagram.filename
    sFilename ='%s' % (filename)
    stFilename= str(sFilename)
    os.environ["diaActivo"]= stFilename
    subprocess.Popen(["perl", "/usr/share/dia/simusol/openconsole1.pl"])


    

def simuConsole(data, flags) :
	dlg = CSimusol(dia.active_display().diagram, data)


def openManual(data,flags):
    import os,subprocess, time
    filename = dia.active_display().diagram.filename
    sFilename ='%s' % (filename)
    stFilename= str(sFilename)
    os.environ["diaActivo"]= stFilename
    subprocess.Popen(["perl", "/usr/share/dia/simusol/openmanual.pl"])


    
def openTutorial(data,flags):
    import os,subprocess, time
    filename = dia.active_display().diagram.filename
    sFilename ='%s' % (filename)
    stFilename= str(sFilename)
    os.environ["diaActivo"]= stFilename
    subprocess.Popen(["perl", "/usr/share/dia/simusol/opentutorial.pl"])


    
    
def openAcercade(data,flags):
    import os,subprocess, time
    filename = dia.active_display().diagram.filename
    sFilename ='%s' % (filename)
    stFilename= str(sFilename)
    os.environ["diaActivo"]= stFilename
    subprocess.Popen(["perl", "/usr/share/dia/simusol/openAcercade.pl"])


        
dia.register_action ("SimusolSimular", "Simular",
		     "/DisplayMenu/Simusol/SimusolOpenConsole", 
		     simuConsole)

dia.register_action ("SimusolTerminal", "Terminal",
		     "/DisplayMenu/Simusol/SimusolOpenConsole2", 
		     openTerminal)

dia.register_action ("SimusolFileManager", "Archivos",
		     "/DisplayMenu/Simusol/SimusolOpenConsole3", 
		     openFile2)
                     
#dia.register_action ("SimusolPack", "Pack",
#		     "/DisplayMenu/Simusol/SimusolOpenPack", 
#		     openFile)

      
dia.register_action ("SimusolManual", "Manual",
		     "/DisplayMenu/Simusol/SimusolOpenManual", 
		     openManual)


      
dia.register_action ("SimusolTutorial", "Tutorial",
		     "/DisplayMenu/Simusol/SimusolOpenTutorial", 
		     openTutorial)
      
dia.register_action ("SimusolAcercade", "Acercade",
		     "/DisplayMenu/Simusol/SimusolOpenAcercade", 
		     openAcercade)


